<template>
  <div
    class="page-table scrollable only-y"
    id="affix-container"
  >
    <div>
      <h1>Blog</h1>
      <div class="page-status">
        <!--<h4>for a better experience on Mac OS during horizontal scroll is prefered disable the "Swipe between pages" option </h4>-->
        <el-breadcrumb separator="/">
          <el-breadcrumb-item :to="{ path: '/' }"><i class="mdi mdi-home-outline"></i></el-breadcrumb-item>
          <el-breadcrumb-item
            v-if="!backToEmployers"
            :to="{ path: '/blog' }"
          >Blog</el-breadcrumb-item>

          <el-breadcrumb-item v-if="detail.title">{{title}}</el-breadcrumb-item>
        </el-breadcrumb>

        <div
          v-if="!loading"
          class="content-status verified-item"
        >
        </div>
      </div>
    </div>
    <br />
    <el-card
      v-if="isContentFound"
      style="text-align: left; margin: 20px 0"
      v-loading="loading"
    >
      <not-found></not-found>
    </el-card>
    <div v-else>

      <el-card
        class="box-card"
        style="text-align: left;"
        v-loading="loading"
      >

        <div
          class="card-inner p-relative"
          v-if="detail"
        >
          <div class="header-tool">
            <el-button
              @click="onEdit"
              class="btn-edit"
              icon="el-icon-edit"
              circle
              type="primary"
            ></el-button>
          </div>
          <div class="line">
            <div class="img-profile">

              <img
                class="img-full-detail"
                @click="showAvatar(detail.imgUrl, $event)"
                :src="detail.imgUrl?'/static/images/'+ detail.imgUrl: $store.state.avtHolder"
              >
            </div>
          </div>
          <el-row :gutter="30">
            <el-col :span="12">

            </el-col>
            <el-col :span="12">
              <div style="min-height: 200px">
                <div class="info-item">
                  <h2 class="mt-5 mb-10">{{detail.title}}</h2>
                </div>
                <div
                  class="info-item"
                  title="Update at"
                >
                  <i class="mdi mdi-calendar-clock"></i>
                  <span> {{detail.updateAt}}</span>
                </div>
                <div
                  class="info-item"
                  title="Create at"
                >
                  <div
                    class="info-item small"
                    v-if="detail.createAt"
                  >
                    <i class="mdi mdi-calendar-clock"></i><span> {{ detail.createAt | moment("DD-MM-YYYY HH:mm:ss") }}</span>
                  </div>
                </div>
              </div>
            </el-col>
          </el-row>
          <el-row :gutter="30">
            <el-col :span="12">
              <div class="giveMeEllipsis">
                <span class="inf-item-title">Contents: </span>
                <span class="inf-item-content company-description-detail">{{detail.contents}}</span>
              </div>
            </el-col>
          </el-row>
        </div>
      </el-card>
      <!-- End company detail -->

      <!-- Start job post here -->

      <view-image
        :dialogvisible.sync="dialogvisible"
        :imageUrl.sync="detail.imgUrl"
      >
      </view-image>
      <!-- End job post here -->

    </div>
  </div>
</template>

<script>
import ViewImage from "~/components/dialogs/ViewImage";
import { blog as blogAPI } from '~/services/apis/index'
import NotFound from '../ContentNotFound'
import helper from '~/services/helper'
export default {
  name: 'CompanyDetail',
  components: {
    NotFound,
    ViewImage
  },
  data () {
    return {
      detail: {
        id: '',
        title: '',
        contents: '',
        createAt: "",
        updateAt: "",
        status: "",
        imgUrl: "",

      },
      title: '',
      jobList: [],
      listImage: [],

      loading: true,
      jobLoading: true,
      currentPage: 1,
      total: 0,
      pageSize: this.$store.state.itemPerPage,
      isContentFound: false,
      dialogvisible: false,
      backToEmployers: false,
      backID: "",
      employerName: "",
    }
  },
  methods: {
    /* Get all images company*/

    getDetail () {
      if (!this.$route || !this.$route.params.id) return;
      blogAPI.getBlog(this.$route.params.id)
        .then((res) => {
          //eslint-disable-next-line
          console.log('res :', res);
          this.detail = res.data
          this.title = res.data.title
          this.detail.imgUrl = `${res.data.imgUrl}`
          //eslint-disable-next-line
          console.log('this.detai.im :', this.detail.imgUrl);
          this.isContentFound = false;
          this.loading = false;
        })
        .catch((err) => {
          this.isContentFound = true;
          this.loading = false;
        })
    },



    formatSalary (from, to) {
      if (!from && !to) {
        return ""
      }

      return "From " + helper.formatNumber(from) + " To " + helper.formatNumber(to);
    },
    onChangePage (page) {
      this.currentPage = this.$helper.formatPage(page)
      //this.$router.push({query: {page: page}})
      this.getJobWorkplace();
    },
    showAvatar (url, event) {
      if (event) {
        event.preventDefault();
        event.stopPropagation();
      }

      if (!url) return;
      this.imageUrl = url;
      this.dialogvisible = true;
    },
    onEdit (item) {
      this.$router.push({
        name: 'blog_edit', params: item.id
      })
    }
  },

  mounted () {
    this.getDetail();

  }
}
</script>

<style>
.company-description-detail {
  white-space: pre-line;
}
.inf-item-title {
  font-weight: bold;
}
.info-item {
  line-height: 35px;
}

.info-item i {
  font-weight: bold;
}

.img-content-detail {
  width: 100%;
  height: 350px;
  position: relative;
  /*background-color: #63696c;*/
  background: transparent;
  padding: 5px;
  border: 1px solid rgba(74, 89, 106, 0.1);
}

.time-count {
  font-style: italic;
  font-size: 14px;
  color: #fff;
  margin: 10px;
  padding: 5px;
  margin-right: 0;
  display: inline-block;
  position: absolute;
  right: 0;
  background-color: #0000006b;
}

.giveMeEllipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3; /* number of lines to show */
  /*line-height: 3;        !* fallback *!*/
  /*max-height: 10px;       !* fallback *!*/
}
</style>
